/fuel-pump-inventories-expense-categories-delete-one¶
Summary¶
Source repository:
jef-systems/jef-fuel-pump-inventories-backendSource SHA:
06a517c1413d99627ecd462c7e29779b2dfd2412Source run id:
25888952968Lambda function:
jef-fuel-pump-inventories-expense-categories-delete-oneHTTP method:
DELETEAPI path:
/fuel-pump-inventories-expense-categories-delete-oneEndpoint URL:
https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-expense-categories-delete-onePayload mode:
json-body
Description¶
Function: jef-fuel-pump-inventories-expense-categories-delete-oneModule: jef-fuel-pump-inventoriesAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /fuel-pump-inventories-expense-categories-delete-oneTable: jef-fuel-pump-inventories-expense-categoriesPrimary Key: expense_category_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
expense\_category\_id: 2a26f7b6-cb34-4b30-9000-a60105c333b8
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.expense_category_id.type",
"value": "S"
},
{
"key": "root.attributes.expense_category_id.required",
"value": "True"
},
{
"key": "root.attributes.expense_category_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.expense_category_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "expense_category_id",
"value": "2a26f7b6-cb34-4b30-9000-a60105c333b8"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-expense-categories-delete-one" -H "Content-Type: application/json" --data-raw "{\"expense_category_id\": \"2a26f7b6-cb34-4b30-9000-a60105c333b8\"}"
PowerShell curl¶
curl.exe -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-expense-categories-delete-one" -H "Content-Type: application/json" --data-raw '{"expense_category_id": "2a26f7b6-cb34-4b30-9000-a60105c333b8"}'